#! /usr/bin/python
# -*- encoding: utf-8 -*-

'''
filename: admin.py
author: 简单教程(www.twle.cn)
copyright: Copyright © 2015-2065 www.twle.cn. All rights reserved.
'''

from django.contrib import admin
from DemoModel.models import Demo, Contact, Tag


class TagInline(admin.TabularInline):
    model = Tag


class ContactAdmin(admin.ModelAdmin):
    list_display = ('name', 'age', 'email')  # list
    search_fields = ('name',)
    inlines = [TagInline]  # Inline
    fieldsets = (
        ['Main', {
            'fields': ('name', 'email'),
        }],
        ['Advance', {
            'classes': ('collapse',),
            'fields': ('age',),
        }]

    )

admin.site.register(Contact, ContactAdmin)
admin.site.register(Demo)
